# Uses of Class
org.eclipse.jface.viewers.ColumnLayoutData

Packages that use ColumnLayoutData
Package
Description
org.eclipse.jface.layout
Provides support for layout generation.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of ColumnLayoutData in org.eclipse.jface.layout

Methods in org.eclipse.jface.layout that return ColumnLayoutData
Modifier and Type
Method
Description
`protected abstract ColumnLayoutData`
AbstractColumnLayout.`getLayoutData(Scrollable tableTree, int columnIndex)`
Get the layout data for a column
`protected ColumnLayoutData`
TableColumnLayout.`getLayoutData(Scrollable tableTree, int columnIndex)`
Get the layout data for a column
`protected ColumnLayoutData`
TreeColumnLayout.`getLayoutData(Scrollable tableTree, int columnIndex)`
Get the layout data for a column
Methods in org.eclipse.jface.layout with parameters of type ColumnLayoutData
Modifier and Type
Method
Description
`void`
AbstractColumnLayout.`setColumnData(Widget column, ColumnLayoutData data)`
Adds a new column of data to this table layout.

## Uses of ColumnLayoutData in org.eclipse.jface.viewers

Subclasses of ColumnLayoutData in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`ColumnPixelData`
Describes the width of a table column in pixels, and whether the column is resizable.
`class`
`ColumnWeightData`
Describes the width of a table column in terms of a weight, a minimum width, and whether the column is resizable.
Methods in org.eclipse.jface.viewers with parameters of type ColumnLayoutData
Modifier and Type
Method
Description
`void`
TableLayout.`addColumnData(ColumnLayoutData data)`
Adds a new column of data to this table layout.